<?php

class MessageLocaleLang extends HordeLocaleLang {
   
   function MessageLocaleLang () {
      $this->HordeLocaleLang();
   }
   
   function message_status ($current_mbox, $msg_index, $num) {
      return "$current_mbox: $msg_index of $num";
   }
   
   function back_to ($current_mbox) {
      return "Back to $current_mbox";
   }

   function success2 ($current_mbox, $targetMbox, $action, $num, $plural = false) {
      global $lang;
      
      if ($plural) $messages = 'Messages';
      else $messages = 'Message';
      
      $action_text = $lang->$action;
      return "Mailbox: $current_mbox: $action_text $num $messages to $targetMbox";
   }

}


$lang = new MessageLocaleLang();
$lang->imp->selected_messages = 'this message to:';
require './locale/en/openwin.lang';

$lang->move_link = 'Move';
$lang->copy_link = 'Copy';
$lang->moved = 'Moved';
$lang->copied = 'Copied';

$lang->attachment = 'attachment';
$lang->source = 'Message Source';
$lang->no_subject = '[No subject]';

$lang->date = 'Date';
$lang->to = 'To';
$lang->from = 'From';
$lang->cc = 'Cc';
$lang->bcc = 'Bcc';
$lang->replyto = 'Reply-To';
$lang->subject = 'Subject';
$lang->parts = 'Parts';

$lang->prev = 'Previous';
$lang->next = 'Next';
$lang->delete = 'Delete';
$lang->reply = 'Reply';
$lang->replyall = 'Reply to all';
$lang->forward = 'Forward';
$lang->bounce = 'Bounce';
$lang->saveas = 'Save as';
$lang->resume = 'Resume';
$lang->compose = 'Compose Message';
$lang->add_to_contacts = 'Add to contacts';

$lang->delete_error = '<tr><th colspan=2>An error occured; your message has not been deleted.</td></tr>';

$lang->copy_error = '<B>Copy Failed.</B>';
$lang->move_error = '<B>Move Failed.</B>';

$lang->alert_really_delete = 'Are you sure you wish to PERMANENTLY delete this message?';
$lang->no_mailbox_selected = 'You must select a target mailbox first.';
?>
